Frame (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.verifier.structurals.Frame,Frame class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.structurals
Class Frame

    java.lang.Object
      |
      +--org.apache.bcel.verifier.structurals.Frame

public class Frame
extends java.lang.Object

This class represents a JVM execution frame; that means, a local variable array and an operand stack.

Version:
  $Id: Frame.java,v 1.1.1.1 2001/10/29 20:00:39 jvanzyl Exp $
Author:
  Enver Haase

Field Summary
`protected static UninitializedObjectType` | `_this` For instance initialization methods, it is important to remember which instance it is that is not initialized yet.

Constructor Summary
`Frame(int maxLocals, int maxStack)`
`Frame(LocalVariables locals, OperandStack stack)`

Method Summary
`protected java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`Frame` | `getClone()`
`LocalVariables` | `getLocals()`
`OperandStack` | `getStack()`
`java.lang.String` | `toString()` Returns a String representation of the Frame instance.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _this

    protected static UninitializedObjectType _this

  For instance initialization methods, it is important to remember which instance it is that is not initialized yet. It will be initialized invoking another constructor later. NULL means the instance already *is* initialized.

Constructor Detail

### Frame

    public Frame(int maxLocals,
                 int maxStack)

### Frame

    public Frame(LocalVariables locals,
                 OperandStack stack)

Method Detail

### clone

    protected java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getClone

    public Frame getClone()

### getLocals

    public LocalVariables getLocals()

### getStack

    public OperandStack getStack()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Returns a String representation of the Frame instance.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.